#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/config.d/usb.sh
#
# Creation:     2004-03-12 fh
# Last Update:  $Id: usb.sh 14413 2008-03-17 16:54:14Z knuffel $
#
# Copyright (c) 2001-2008 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

#exec 2> `pwd`/usb-trace$$.log
#set -x

# include eislib
. /var/install/include/eislib

# set config file
. /etc/config.d/usb

#-----------------------------------------------------------------------------
# main
#-----------------------------------------------------------------------------
# check Kernel Version
case `uname -r` in
    2.2.*)
        echo
        mecho -info " Sorry, this Kernel Version `uname -r` "
        mecho -info " has no support for USB Devices"
        echo
        anykey

        exit 1
    ;;
    *)
        case "${USB_DEP_SERVICE_N}" in
            0)
                 rm -f /etc/usbdepservices
            ;;
            *)
                # create a list of dependent services
                idx=1
                > /etc/usbdepservices

                while [ "${idx}" -le "${USB_DEP_SERVICE_N}" ]
                do
                    # check for active
                    eval active='${USB_DEP_SERVICE_'${idx}'_ACTIVE}'

                    case "${active}" in
                        yes)
                            eval depservice='${USB_DEP_SERVICE_'${idx}'_DEVICE}'

                            /var/install/bin/check-package -p ${depservice}  "'USB_DEP_SERVICE_${idx}_DEVICE'"

                            case ${?} in
                                0)
                                    echo -n ${depservice} >> /etc/usbdepservices
                                    echo -n " " >> /etc/usbdepservices
                                ;;
                                *)
                                    echo
                                    mecho -warn " Install of '${depservice}' failed."
                                    mecho -warn " Please solve that first."
                                    echo
                                    anykey
                                ;;
                            esac
                        ;;
                        *)
                            # nothing to do
                        ;;
                    # end  case "${active}" in
                    esac

                idx=`/usr/bin/expr ${idx} + 1`

                # end while [ "${idx}" -le "${USB_DEP_SERVICE_N}" ]
                done

            # end *)
            ;;
        # end case "${USB_DEP_SERVICE_N}" in
        esac
    # end *)
    ;;
# end case `uname -r` in
esac

exit 0
#---------------------------------------------------------------------------
# end
#---------------------------------------------------------------------------
